Package Details: java-p7zip-binding 16.02-2

Git Clone URL: https://aur.archlinux.org/java-p7zip-binding.git (read-only, click to copy)
Package Base: java-p7zip-binding
Description: Java wrapper for 7-Zip C++ library.
Upstream URL: https://github.com/borisbrodski/sevenzipjbinding
Keywords: 7zip binding java
Licenses: LGPL
Submitter: max.bra
Maintainer: max.bra
Last Packager: max.bra
Votes: 2
Popularity: 0.000000
First Submitted: 2015-09-15 07:04
Last Updated: 2021-06-15 09:37

Dependencies (4)

Required by (1)

Sources (1)

Latest Comments

1 2 Next › Last »

max.bra commented on 2021-06-15 09:39

@pauper thanks for reporting. workarounded on gcc10 compilation.

pauper commented on 2021-06-14 19:12

I can't get this to build:

/build/java-p7zip-binding/src/sevenzipjbinding-Release-16.02-2.01/p7zip/CPP/7zip/Archive/Wim/WimHandler.cpp: In member function ‘virtual LONG NArchive::NWim::CHandler::GetArchiveProperty(PROPID, PROPVARIANT*)’:
/build/java-p7zip-binding/src/sevenzipjbinding-Release-16.02-2.01/p7zip/CPP/7zip/Archive/Wim/WimHandler.cpp:308:11: error: use of an operand of type ‘bool’ in ‘operator++’ is forbidden in C++17
  308 |           numMethods++;
      |           ^~~~~~~~~~
/build/java-p7zip-binding/src/sevenzipjbinding-Release-16.02-2.01/p7zip/CPP/7zip/Archive/Wim/WimHandler.cpp:318:9: error: use of an operand of type ‘bool’ in ‘operator++’ is forbidden in C++17
  318 |         numMethods++;
      |         ^~~~~~~~~~
make[2]: *** [jbinding-cpp/CMakeFiles/7-Zip-JBinding.dir/build.make:1791: jbinding-cpp/CMakeFiles/7-Zip-JBinding.dir/__/p7zip/CPP/7zip/Archive/Wim/WimHandler.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [CMakeFiles/Makefile2:938: jbinding-cpp/CMakeFiles/7-Zip-JBinding.dir/all] Error 2
make: *** [Makefile:166: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

max.bra commented on 2021-05-13 14:48

thanks for flagging and sorry for later update. i was waiting for cmake solving the javah missing error several months ago but still no way and i forgot it. still need to makedepends on jdk8.

prometheus commented on 2018-06-23 10:57

Fails to install:

==> Validating source files with md5sums...
    Release-9.20-2.00beta.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build java-p7zip-binding.

apodim commented on 2016-11-23 19:46

Let me give an update.

I found a way to get a hold of an already compiled arm version of the library here (https://www.filebot.net/forums/viewtopic.php?t=1012), however it seems that this is not even needed on my system as Apache Commons VFS already provides such facilities.

>FileBot 4.7.2 (r4178)
>JNA Native: 4.0.1
>MediaInfo: 0.7.90
>Apache Commons VFS: [zip, rar]
>Nov 23, 2016 9:10:12 PM java.util.prefs.FileSystemPreferences$1 run
>INFO: Created user preferences directory.
>Chromaprint: 1.3.1
>Extended Attributes: OK
>GVFS: OK
>Script Bundle: 2016-11-07 (r458)
>Groovy: 2.4.7
>JRE: Java(TM) SE Runtime Environment 1.8.0_111 (headless)
>JVM: 32-bit Java HotSpot(TM) Client VM
>CPU/MEM: 1 Core / 116 MB Max Memory / 13 MB Used Memory
>OS: Linux (arm)
>Package: PORTABLE

All is needed is
>apache 2.4.23-1
>php-apache 7.0.13-1

and of course make the necessary modification in php.ini

7-zip itself is not supported but I find it highly unlikely I'll encounter anything besides zip and rar.

Anyway thanks for maintaining this. :)

max.bra commented on 2016-11-23 07:39

O_o
no, not much

apodim commented on 2016-11-23 02:36

OK I did run some tests and it does not look very good.

>0% tests passed, 17 tests failed out of 17
>
>Total Test time (real) = 41.96 sec
>
>The following tests FAILED:
> 1 - JUnit-common (Failed)
> 2 - JUnit-common-no-privileged-init (Failed)
> 3 - JUnit-init-std-1 (Failed)
> 4 - JUnit-init-std-2 (Failed)
> 5 - JUnit-init-verify-1 (Failed)
> 6 - JUnit-init-verify-2 (Failed)
> 7 - JUnit-tools (Failed)
> 8 - JUnit-snippets (Failed)
> 9 - JUnit-snippets-no-privileged-init (Failed)
> 10 - JUnit-encoding-utf-8 (Failed)
> 11 - JUnit-encoding-cp1252 (Failed)
> 12 - JUnit-encoding-cp1251 (Failed)
> 13 - JUnit-bug-reports (Failed)
> 14 - JUnit-single-file-extraction (Failed)
> 15 - JUnit-multiple-files-extraction (Failed)
> 16 - JUnit-compression (Failed)
> 17 - JUnit-badarchive (Failed)
>Performing coverage
> Cannot find any coverage files. Ignoring Coverage request.

Cheers

max.bra commented on 2016-11-22 06:37

hi apodim.

> Will a single change in the MakeFile to allow for armv6 will work or you didn't include that architecture for a reason?

i haven't included any arm* architecture because i haven't tested them. Are your armv6 tests successfull?
If yes i will add it asap.

apodim commented on 2016-11-22 02:39

Hi,

When trying to install this on a rpi(armv6) I am getting an error because the architecture is not supported. Of course this is only natural since MakeFile does not make mention for arm.

However the homepage of the program mentions that arm is supported (http://sevenzipjbind.sourceforge.net/first_steps.html).

Will a single change in the MakeFile to allow for armv6 will work or you didn't include that architecture for a reason?

Thanks,

max.bra commented on 2016-03-13 12:33

@penetal
hi penetal, thanks for reporting.
this package is fine, it's filebot loading fault, or rather it's my filebot start script fault. updated and corrected.